Bug 97026 - (IDE HPT)HPT370 failure to detect DMA results in 100% CPU load
(IDE HPT)HPT370 failure to detect DMA results in 100% CPU load
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-09 06:44 EDT by Petr Kubecka
Modified: 2007-04-18 12:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kubecka 2003-06-09 06:44:57 EDT
Description of problem:
The latest kernel on SOYO motherboard 6BA+100 with on-board integrated HPT370, 
RAID1 2x ST380021A, 80 pin cables, fails to enable DMA and loads CPU 100%. 
Previous kernels work fine. I suspect recent changes in hpt366.c to contribute 
to this.

Version-Release number of selected component (if applicable):
kernel-2.4.20-18.8

How reproducible:
Every time.

Steps to Reproduce:
1. Install kernel-2.4.20-18.8 on the above hardware
2.
3.
    
Actual results:
Extract from /var/log/messages:

Jun  8 22:35:33 atlantic kernel: hdg: attached ide-disk driver.
Jun  8 22:35:33 atlantic kernel: hdg: host protected area => 1
Jun  8 22:35:33 atlantic kernel: hdg: 156301488 sectors (80026 MB) w/2048KiB 
Cache, CHS=155061/16/63, UDMA(100)
Jun  8 22:35:33 atlantic kernel: ide-floppy driver 0.99.newide
Jun  8 22:35:33 atlantic kernel: Partition check:
Jun  8 22:35:33 atlantic kernel:  hde:<4>hde: dma_timer_expiry: dma status == 
0x21
Jun  8 22:35:33 atlantic kernel: hde: 0 bytes in FIFO
Jun  8 22:35:33 atlantic kernel: hde: timeout waiting for DMA
Jun  8 22:35:33 atlantic kernel: hde: timeout waiting for DMA
Jun  8 22:35:33 atlantic kernel: hde: 0 bytes in FIFO
Jun  8 22:35:33 atlantic kernel: hde: timeout waiting for DMA
Jun  8 22:35:33 atlantic kernel: hde: (__ide_dma_test_irq) called while not 
waiting
Jun  8 22:35:33 atlantic kernel: blk: queue c03a5b28, I/O limit 4095Mb (mask 
0xffffffff)
Jun  8 22:35:33 atlantic kernel:  hde1 hde2
Jun  8 22:35:33 atlantic kernel:  hdg:<4>hdg: dma_timer_expiry: dma status == 
0x21
Jun  8 22:35:33 atlantic kernel: hdg: 0 bytes in FIFO
Jun  8 22:35:33 atlantic kernel: hdg: timeout waiting for DMA
Jun  8 22:35:34 atlantic kernel: hdg: timeout waiting for DMA
Jun  8 22:35:34 atlantic kernel: hdg: 0 bytes in FIFO
Jun  8 22:35:34 atlantic kernel: hdg: timeout waiting for DMA
Jun  8 22:35:34 atlantic kernel: hdg: (__ide_dma_test_irq) called while not 
waiting
Jun  8 22:35:34 atlantic kernel: blk: queue c03a5f8c, I/O limit 4095Mb (mask 
0xffffffff)

hdparm indicates that DMA is off.


Expected results:
Works fine on kernel 2.4.18-27.8.0:

Extract from /var/log/messages

HPT370: IDE controller on PCI bus 00 dev 70
PCI: Found IRQ 15 for device 00:0e.0
PCI: Sharing IRQ 15 with 00:10.0
HPT370: chipset revision 3
HPT370: not 100% native mode: will probe irqs later
HPT37X: using 33MHz PCI clock
    ide2: BM-DMA at 0xd400-0xd407, BIOS settings: hde:DMA, hdf:pio
    ide3: BM-DMA at 0xd408-0xd40f, BIOS settings: hdg:DMA, hdh:pio
hde: ST380021A, ATA DISK drive
hdg: ST380021A, ATA DISK drive
ide2 at 0xc400-0xc407,0xc802 on irq 15
ide3 at 0xcc00-0xcc07,0xd002 on irq 15
hde: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=155061/16/63, UDMA(100)
hdg: 156301488 sectors (80026 MB) w/2048KiB Cache, CHS=155061/16/63, UDMA(100)

/dev/hde:
 multcount    = 16 (on)
 IO_support   =  0 (default 16-bit)
 unmaskirq    =  0 (off)
 using_dma    =  1 (on)
 keepsettings =  0 (off)
 readonly     =  0 (off)
 readahead    =  8 (on)
 geometry     = 155061/16/63, sectors = 156301488, start = 0


Additional info:
Previous kernel 2.4.18-27.8.0 randomly reports drive seek error.
Comment 1 Bugzilla owner 2004-09-30 11:41:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.